
# Installation
Running the front end requires Node-RED to be installed.
Once Node-RED is installed, and running, you can access the Flow editor by using your web browser to navigate to: 
```sh
localhost:<port>
```
<port> here represents whichever network port Node-RED is configured to use.
  - e.g. If Node-RED is configured to port 1880, I would access it by navigating to localhost:1880

After you access the Flow editor, you can simply use the included **flows.json** to *import* and *deploy* the new flow.

**NOTE**: When compiling the code for the ESP32, don't forget to update the SSID and Password for your own network.

# Navigating the Front End

Once you've *deployed* the flow, navigate to the following link to access to front-end.
```sh
localhost:<port>/ui/
```
This will bring you to the ***Home*** tab, which contains readouts for **temperature** and **humidity**.
Toggling **Temperature Scale** will cause the gauge to change between *Celsius* (default) and *Fahrenheit*.
Toggling the **Alarm** switch will send a message to your device to toggle whether the buzzer will sound when the device fails to scan.
Toggling the **LED** switch will send a message to your device to toggle whether the on-board LED will flash when the device scans.

Navigating to the ***Debug*** tab will bring you to readouts of the latest messages receieved on the various channels used.
 - **/th-wcv3/*** shows the latest message receieved across the whole system.
 - **/temp_c**, **/temp_f**, **/humidity**, and **/switch** all show the latest message receieved in their respective channels.

# Libraries Used

  - **DHT sensor library** by Adafruit
  - **PubSubClient** by knolleary